{% extends 'base.html.twig' %}

{% block title %}Home{% endblock %}

{% block body %}
    <h1>Stropaul Vote</h1>
    {{ form_start(form) }}
        {{ form_row(form.question) }}
        {% for reponse in form.reponses %}
            <button id="reponse-radio" type="button">
                {{ form_widget(reponse) }}
            </button>
        {% endfor %}
        <button id="vote-submit" type="submit">Submit</button>
    {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
    <script>
        let selectedReponse = null;
        const onRadioClick = (radio, index) => {
            selectedReponse = index;
        }

        const reponsesRadio = document.querySelectorAll("#reponse-radio");
        for (let i = 0; i < reponsesRadio.length; i++) {
            const radio = reponsesRadio[i];
            radio.addEventListener("click", onRadioClick.bind(null, radio, i));
        }

        const onVoteSubmit = (event) => {
            event.preventDefault();
            if (selectedReponse !== null)
                window.location += `/${selectedReponse}`;
        }

        const voteSubmit = document.getElementById("vote-submit");
        voteSubmit.addEventListener("click", onVoteSubmit);
    </script>
{% endblock %}